Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2021429 - Review Request: python-pyedflib - pyedflib is a python library to read/write EDF+/BDF+ files based on EDFlib
Summary: Review Request: python-pyedflib - pyedflib is a python library to read/write ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2023556
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-11-09 08:16 UTC by Iztok Fister Jr.
Modified: 2021-12-11 14:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-11 14:01:19 UTC
Type: ---
Embargoed:
code: fedora-review+


Attachments (Terms of Use)

Description Iztok Fister Jr. 2021-11-09 08:16:16 UTC
Spec URL: https://raw.githubusercontent.com/firefly-cpp/rpm-pyedflib/main/python-pyedflib.spec
SRPM URL: https://github.com/firefly-cpp/rpm-pyedflib/raw/main/python-pyedflib-0.1.22-1.fc33.src.rpm

Description: pyEDFlib is a python library to read/write EDF+/BDF+ files based on EDFlib. EDF means European Data Format and was firstly published Kemp1992. 
In 2003, an improved version of the file protokoll named EDF+ has 
been published and can be found at Kemp2003.

Fedora Account System Username: iztokf

Comment 1 Ben Beasley 2021-11-09 15:34:56 UTC
This is a clean package with a just a few remaining issues to look at.

Please let me know which way you want to go with the documentation. I’m
happy to demonstrate how to get it working.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

- Some issues with Sphinx-generated HTML documentation regarding bundled and
  minified web assets have been identified that make it unsuitable for
  packaging (even though there is a long history of doing so in Fedora). See
  https://bugzilla.redhat.com/show_bug.cgi?id=2006555 and
  https://lists.fedoraproject.org/archives/list/packaging@lists.fedoraproject.org/thread/LLUAURXZVADATHK65HBPPBHKF4EM4UC3/
  for details and discussion.

  Given this, you have two reasonable options:

    - Don’t package the Sphinx-generated documentation at all
    - Build a PDF, which is probably acceptable, rather than HTML.

  If you want to go with PDF documentation, let me know and I’ll be happy to
  make and upload a version of the spec that builds it. You can look at
  https://src.fedoraproject.org/rpms/python-engineio/blob/rawhide/f/python-engineio.spec
  for an example.

  Currently, you have the documentation disabled because of a “configuration
  error,” which happens because the copy of the package imported during the
  documentation build is the one in the source tree, and that copy doesn’t have
  the compiled extension module. There are several ways to fix this, which I’m
  happy to demonstrate if you plan to keep the documentation.

- Upstream *does* provide tests, and you can run them. The easiest approach is
  to change

    %pyproject_buildrequires -r

  to

    %pyproject_buildrequires -t

  and

    # Upstream provides no tests
    %pyproject_check_import

  to

    %tox

- There is a stray German word in the description copied from upstream. Please
  change “protokoll” to “protocol”. I have sent a PR upstream for this:
  https://github.com/holgern/pyedflib/pull/146

- Conventionally, the summary should not repeat the package name and should not
  end with a dot or period. Consider:

    Summary:        Python library to read/write EDF+/BDF+ files, based on EDFlib

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     OK: properly-installed compiled Python extenson module

[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-Clause License", "BSD 3-Clause
     License". 102 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/2021429-python-
     pyedflib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-pyedflib
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

     Upstream *does* provide tests

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
python3-pyedflib: /usr/lib64/python3.10/site-packages/pyedflib/_extensions/_pyedflib.cpython-310-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/holgern/pyedflib/archive/v0.1.22/pyedflib-0.1.22.tar.gz :
  CHECKSUM(SHA256) this package     : 31bfea237fa36e60f9516e2ac2db6cb5ed479f9c6e15052c02a67a38f8744727
  CHECKSUM(SHA256) upstream package : 31bfea237fa36e60f9516e2ac2db6cb5ed479f9c6e15052c02a67a38f8744727


Requires
--------
python3-pyedflib (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    python(abi)
    python3.10dist(numpy)
    rtld(GNU_HASH)

python-pyedflib-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-pyedflib:
    python-pyedflib
    python3-pyedflib
    python3-pyedflib(x86-64)
    python3.10-pyedflib
    python3.10dist(pyedflib)
    python3dist(pyedflib)

python-pyedflib-debugsource:
    python-pyedflib-debugsource
    python-pyedflib-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2021429
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, PHP, R, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH
============================ rpmlint session starts ============================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 5

python3-pyedflib-debuginfo.x86_64: W: unstripped-binary-or-object /usr/lib/debug/usr/lib64/python3.10/site-packages/pyedflib/_extensions/_pyedflib.cpython-310-x86_64-linux-gnu.so-0.1.22-1.fc36.x86_64.debug
python3-pyedflib.x86_64: W: summary-not-capitalized pyedflib is a python library to read/write EDF+/BDF+ files based on EDFlib.
python-pyedflib.src: W: summary-not-capitalized pyedflib is a python library to read/write EDF+/BDF+ files based on EDFlib.
python3-pyedflib.x86_64: W: summary-ended-with-dot pyedflib is a python library to read/write EDF+/BDF+ files based on EDFlib.
python-pyedflib.src: W: summary-ended-with-dot pyedflib is a python library to read/write EDF+/BDF+ files based on EDFlib.
python3-pyedflib-debuginfo.x86_64: E: shared-library-without-dependency-information /usr/lib/debug/usr/lib64/python3.10/site-packages/pyedflib/_extensions/_pyedflib.cpython-310-x86_64-linux-gnu.so-0.1.22-1.fc36.x86_64.debug
python3-pyedflib-debuginfo.x86_64: W: no-documentation
python-pyedflib-debugsource.x86_64: W: no-documentation
python-pyedflib.spec:83: W: macro-in-%changelog %autochangelog
python-pyedflib.spec:83: W: macro-in-%changelog %autochangelog
python3-pyedflib-debuginfo.x86_64: W: dangling-relative-symlink /usr/lib/debug/.build-id/7e/c41da9a4364d46d7d633bccf78b24d040ec99e ../../../.build-id/7e/c41da9a4364d46d7d633bccf78b24d040ec99e
 4 packages and 1 specfiles checked; 1 errors, 10 warnings, 1 badness; has taken 1.2 s

Comment 2 Iztok Fister Jr. 2021-11-09 16:08:52 UTC
Ben,

Thank you very much for a quick check. I am happy with documentation in PDF.

Are you going to submit a PR to my repo?

Comment 3 Ben Beasley 2021-11-10 16:46:06 UTC
I can upload a modified spec file here for you to examine and incorporate, or I can approve without documentation (but after the other issue I noted are fixed), and offer a PR later. Which would you prefer?

Comment 4 Iztok Fister Jr. 2021-11-11 18:48:44 UTC
I have already committed a revision. Please take a look: https://github.com/firefly-cpp/rpm-pyedflib/commit/9aac7aec444f3a7f150b5b60986f7166da79895e

However, build on s390 is failing due to the tests: https://koji.fedoraproject.org/koji/taskinfo?taskID=78702562

Shall we disable specific test?

I prefer that you approve a SPEC file without documentation and later submit a PR to the rpms repo. What do you think?

Comment 5 Ben Beasley 2021-11-12 19:04:36 UTC
(In reply to Iztok Fister Jr. from comment #4)
> I have already committed a revision. Please take a look:
> https://github.com/firefly-cpp/rpm-pyedflib/commit/
> 9aac7aec444f3a7f150b5b60986f7166da79895e
> 
> However, build on s390 is failing due to the tests:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=78702562
> 
> Shall we disable specific test?

Maybe. Or, the problem might be serious enough that the architecture should be excluded (which is still possible in a noarch package).

I haven’t looked closely at the problem yet. I suspect this is a byte order issue, since s390x is the only big-endian architecture in Fedora.

The best answer would be to fix the actual problem and send a patch upstream. I’ll attempt that, but it might take me a few days to get around to it.

> I prefer that you approve a SPEC file without documentation and later submit
> a PR to the rpms repo. What do you think?

Works for me!

Comment 6 Ben Beasley 2021-11-15 16:32:53 UTC
I have found that the “edflib” C sources in this project are actually bundled from a separate project (https://gitlab.com/Teuniz/EDFlib/). That means we’ll need to follow the bundling guidelines (https://docs.fedoraproject.org/en-US/packaging-guidelines/#bundling). I haven’t figured out yet whether it’s possible to build the Python package with an unbundled, separately-packaged edflib. I’d like to do that if it’s at all practical.

Also, the byte-order issues seem to be in edflib. My quick research suggests that the EDF format is always little-endian, and edflib appears to be oblivious to endianness issues, so ExcludeArch: s390x may be required. Or, it may be possible to produce a reasonably-scoped patch. I will investigate further as I have time.

Comment 7 Iztok Fister Jr. 2021-11-15 16:44:16 UTC
Ben, thanks for info and all the hard work. There is no time pressure, just take your time.

Comment 8 Ben Beasley 2021-11-16 02:37:22 UTC
Upstream EDFlib issue for big-endian support:
https://gitlab.com/Teuniz/EDFlib/-/issues/9

Upstream EDFlib merge request for big-endian support:
https://gitlab.com/Teuniz/EDFlib/-/merge_requests/1

Review request for separately-packaged edflib (with big-endian patch):
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=2023556

----

I think unbundling to use a separate edflib will be possible with a small patch to pyedflib”s setup.py, and that will be the easiest way to get working big-endian support. When I have a chance to work on this a bit more, I’ll work up a patch to (optionally) do that and offer it to the pyedflib upstream.

Comment 9 Ben Beasley 2021-11-20 03:14:58 UTC
Ok, I’ve sent a PR upstream to support a system copy of EDFlib: https://github.com/holgern/pyedflib/pull/150

One way to reference it is:

> Patch1:         %{url}/pull/150.patch

Also, upstream has released a new version, 0.1.23.

That’s almost enough to prepare an updated submission with the new upstream version and the patch. You will need to add a BR on edflib-devel, “export SYSTEM_EDFLIB=1” before calling %pyproject_wheel, and “rm -rf pyedflib/_extensions/c” in %prep to verify the bundled library is not used.

However, I think another patch will be needed for compatibility with the latest version of edflib:

> pyedflib/_extensions/_pyedflib.c: In function ‘__pyx_pf_8pyedflib_11_extensions_9_pyedflib_11CyEdfReader_8open’:
> pyedflib/_extensions/_pyedflib.c:5196:20: error: too many arguments to function ‘edfopen_file_readonly’
>  5196 |   __pyx_v_result = edfopen_file_readonly(__pyx_t_3, (&__pyx_v_self->hdr), __pyx_t_4, __pyx_t_5);
>       |                    ^~~~~~~~~~~~~~~~~~~~~
> In file included from pyedflib/_extensions/_pyedflib.c:657:
> /usr/include/edflib.h:204:5: note: declared here
>   204 | int edfopen_file_readonly(const char *path, struct edf_hdr_struct *edfhdr, int read_annotations);
>       |     ^~~~~~~~~~~~~~~~~~~~~

I’ll take a look at that next.

Comment 10 Ben Beasley 2021-11-20 16:27:33 UTC
It turns out that:

- pyedflib actually uses a slightly forked version of EDFlib
- EDFlib upstream has decided not to support big-endian architectures

I will keep the separate edflib package working on s390x, I think, but porting an edflib patch to the forked version here and testing it adequately seems tedious and perhaps error-prone. I think your best approach may be:

> # Uses a forked copy of EDFlib (https://gitlab.com/Teuniz/EDFlib), which has
> # elected not to support big-endian architectures.
> ExcludeArch:    s390x
>
> # Uses a forked copy of EDFlib (https://gitlab.com/Teuniz/EDFlib)
> # https://github.com/holgern/pyedflib/issues/149
> # Version number: pyedflib/_extensions/c/edflib.c, EDFLIB_VERSION
> Provides:       bundled(edflib) = 1.17

Then after import, per https://docs.fedoraproject.org/en-US/packaging-guidelines/#_architecture_build_failures, file an RHBZ issue blocking F-ExcludeArch-s390x with the explanation from the comment above the ExcludeArch, and replace or augment that spec file comment with a link to the issue.

Comment 11 Iztok Fister Jr. 2021-11-20 16:51:56 UTC
Thanks very much for all the hard work. 

Final spec file is online: https://raw.githubusercontent.com/firefly-cpp/rpm-pyedflib/main/python-pyedflib.spec

Fresh koji build without s390x architecture: https://koji.fedoraproject.org/koji/taskinfo?taskID=79105173

Comment 12 Ben Beasley 2021-11-20 17:24:06 UTC
Thanks. Would you mind updating to the current upstream release 0.1.23 and posting the SRPM with the spec file?

Comment 13 Iztok Fister Jr. 2021-11-20 21:53:30 UTC
I think we can do it later. New release does not include any major algorithmic changes.

Comment 14 Ben Beasley 2021-11-22 01:19:11 UTC
(In reply to Iztok Fister Jr. from comment #13)
> I think we can do it later. New release does not include any major
> algorithmic changes.

Well, I guess so. I reviewed the spec file from your link together with the source RPM from the koji build. The package is APPROVED. Expect a PR to add PDF documentation after import, and please remember to file an RHBZ issue for the ExcludeArch as required by https://docs.fedoraproject.org/en-US/packaging-guidelines/#_architecture_build_failures.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== Notes (no change required) =====

- Version 0.1.23 is available. Expect a PR after import.

- This is not needed:

     BuildRequires:  pyproject-rpm-macros

  The python3-devel package now depends on pyproject-rpm-macros on all
  supported Fedora releases.

- Expect a PR to convert to PDF documentation and enable the -doc subpackage.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     Unversioned .so file is a correctly-packaged compiled Python extension.

[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-Clause License", "BSD 3-Clause
     License". 102 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/pyedflib/review-python-
     pyedflib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.

     Bundled, slightly forked edflib is correctly handled. Upstream is
     considering making the fork features optional and allowing a system
     library: https://github.com/holgern/pyedflib/issues/149,
     https://github.com/holgern/pyedflib/pull/150#issuecomment-974716280

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.

     ExcludeArch is correctly handled. Remember to file an RHBZ issue after
     import.

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-pyedflib
[x]: Package functions as described.

     (based on tests passing)

[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

     ExcludeArch is correctly handled. Remember to file an RHBZ issue after
     import.

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
python3-pyedflib: /usr/lib64/python3.10/site-packages/pyedflib/_extensions/_pyedflib.cpython-310-aarch64-linux-gnu.so

Source checksums
----------------
https://github.com/holgern/pyedflib/archive/v0.1.22/pyedflib-0.1.22.tar.gz :
  CHECKSUM(SHA256) this package     : 31bfea237fa36e60f9516e2ac2db6cb5ed479f9c6e15052c02a67a38f8744727
  CHECKSUM(SHA256) upstream package : 31bfea237fa36e60f9516e2ac2db6cb5ed479f9c6e15052c02a67a38f8744727


Requires
--------
python3-pyedflib (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    python(abi)
    python3.10dist(numpy)
    rtld(GNU_HASH)

python-pyedflib-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-pyedflib:
    python-pyedflib
    python3-pyedflib
    python3-pyedflib(aarch-64)
    python3.10-pyedflib
    python3.10dist(pyedflib)
    python3dist(pyedflib)

python-pyedflib-debugsource:
    python-pyedflib-debugsource
    python-pyedflib-debugsource(aarch-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -n python-pyedflib
Buildroot used: fedora-rawhide-aarch64
Active plugins: Python, Generic, C/C++, Shell-api
Disabled plugins: PHP, R, fonts, SugarActivity, Ocaml, Haskell, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 15 Iztok Fister Jr. 2021-11-22 08:17:39 UTC
Thanks Ben, requesting repo now.

Comment 16 Gwyn Ciesla 2021-11-22 15:55:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyedflib


Note You need to log in before you can comment on or make changes to this bug.